﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Apache.NMS;
using Apache.NMS.ActiveMQ;
using System.ComponentModel;
using System.Globalization;

namespace ActiveMQServer
{
    class Program
    {
        private const string URI = "failover:(tcp://localhost:61616)";
        private const string DESTINATION = "test.queue";

        static ActiveMQServer server;

        static void Main(string[] args)
        {
            Console.WriteLine("Creating and starting the server...");
            server = new ActiveMQServer(URI, DESTINATION);
            Console.WriteLine("Server started! Press CTRL+C to exit.");
            Console.WriteLine();

            Console.CancelKeyPress += new ConsoleCancelEventHandler(Console_CancelKeyPress);

            while (true)
                Console.ReadLine();
        }

        static void Console_CancelKeyPress(object sender, ConsoleCancelEventArgs e)
        {
            server.Stop();
            Environment.Exit(0);
        }
    }
}
